package org.springblade.device.feign;

import org.springblade.device.entity.IotAlarm;
import org.springblade.device.vo.IotAlarmVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class IotAlarmClientFallback implements IIotAlarmClient {
            /**
         * 详情
         */
        @Override
        public IotAlarmVO detail(IotAlarm iotAlarm) {
            return null;
        }

        /**
         * 查询 设备告警
         */
        @Override
        public List<IotAlarmVO> list(IotAlarm iotAlarm) {
            return null;
        }

    

        /**
         * 新增 设备告警
         */
        @Override
        public boolean save( IotAlarm iotAlarm) {
            return false;
        }

        /**
         * 修改 设备告警
         */
        @Override
        public boolean update( IotAlarm iotAlarm) {
            return false;
        }

        /**
         * 新增或修改 设备告警
         */
        @Override
        public boolean submit( IotAlarm iotAlarm) {
            return false;
        }

    
        /**
         * 删除 设备告警
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
